
#ifndef PHP_FASTBIT_H
#define PHP_FASTBIT_H

extern zend_module_entry fastbit_module_entry;
#define phpext_fastbit_ptr &fastbit_module_entry

#define FASTBIT4PHP_VERSION "0.1.1"

#ifdef PHP_WIN32
#	define PHP_FASTBIT_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#	define PHP_FASTBIT_API __attribute__ ((visibility("default")))
#else
#	define PHP_FASTBIT_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(fastbit);
PHP_MSHUTDOWN_FUNCTION(fastbit);
PHP_RINIT_FUNCTION(fastbit);
PHP_RSHUTDOWN_FUNCTION(fastbit);
PHP_MINFO_FUNCTION(fastbit);

PHP_FUNCTION(confirm_fastbit_compiled);	/* For testing, remove later. */

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(fastbit)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(fastbit)
*/

/* In every utility function you add that needs to use variables 
   in php_fastbit_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as FASTBIT_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define FASTBIT_G(v) TSRMG(fastbit_globals_id, zend_fastbit_globals *, v)
#else
#define FASTBIT_G(v) (fastbit_globals.v)
#endif

#endif	/* PHP_FASTBIT_H */

