--TEST--
Check that the partition is always referenced to tables
--FILE--
<?php
//fastbit::setVerbosity(10);
$part=new fastbit_partition(dirname(__FILE__)."/data");
$table=new fastbit_table($part);
var_dump($table->select("COLUMN_NAME","1=1")->getTableResult());
unset($part);
var_dump($table->select("COLUMN_NAME","1=1")->getTableResult());
unset($table);
var_dump("x");
?>
--EXPECT--
array(213) {
  [0]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [1]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [2]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [3]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
  }
  [4]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Column_name"
  }
  [5]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
  }
  [6]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
  }
  [7]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [8]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [9]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [10]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
  }
  [11]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
  }
  [12]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
  }
  [13]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
  }
  [14]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
  }
  [15]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
  }
  [16]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
  }
  [17]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
  }
  [18]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
  }
  [19]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
  }
  [20]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
  }
  [21]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
  }
  [22]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
  }
  [23]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
  }
  [24]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
  }
  [25]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
  }
  [26]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
  }
  [27]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
  }
  [28]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
  }
  [29]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "db"
  }
  [30]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [31]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "body"
  }
  [32]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
  }
  [33]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "execute_at"
  }
  [34]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "interval_value"
  }
  [35]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "interval_field"
  }
  [36]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "created"
  }
  [37]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
  }
  [38]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "last_executed"
  }
  [39]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "starts"
  }
  [40]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "ends"
  }
  [41]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "status"
  }
  [42]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "on_completion"
  }
  [43]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
  }
  [44]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
  }
  [45]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "originator"
  }
  [46]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "time_zone"
  }
  [47]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
  }
  [48]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
  }
  [49]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
  }
  [50]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
  }
  [51]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [52]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(3) "ret"
  }
  [53]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
  }
  [54]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "type"
  }
  [55]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "event_time"
  }
  [56]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
  }
  [57]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "thread_id"
  }
  [58]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
  }
  [59]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "command_type"
  }
  [60]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "argument"
  }
  [61]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
  }
  [62]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [63]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "parent_category_id"
  }
  [64]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(3) "url"
  }
  [65]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
  }
  [66]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [67]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
  }
  [68]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
  }
  [69]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
  }
  [70]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [71]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
  }
  [72]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "description"
  }
  [73]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "example"
  }
  [74]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(3) "url"
  }
  [75]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [76]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [77]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
  }
  [78]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
  }
  [79]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
  }
  [80]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
  }
  [81]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
  }
  [82]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
  }
  [83]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
  }
  [84]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
  }
  [85]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
  }
  [86]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
  }
  [87]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
  }
  [88]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
  }
  [89]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
  }
  [90]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
  }
  [91]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
  }
  [92]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
  }
  [93]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
  }
  [94]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
  }
  [95]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Position"
  }
  [96]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "File"
  }
  [97]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(5) "epoch"
  }
  [98]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "inserts"
  }
  [99]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "updates"
  }
  [100]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "deletes"
  }
  [101]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "schemaops"
  }
  [102]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [103]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
  }
  [104]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "db"
  }
  [105]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [106]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "type"
  }
  [107]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "specific_name"
  }
  [108]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "language"
  }
  [109]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "sql_data_access"
  }
  [110]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "is_deterministic"
  }
  [111]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "security_type"
  }
  [112]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "param_list"
  }
  [113]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "returns"
  }
  [114]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "body"
  }
  [115]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
  }
  [116]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "created"
  }
  [117]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
  }
  [118]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
  }
  [119]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
  }
  [120]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
  }
  [121]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
  }
  [122]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
  }
  [123]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
  }
  [124]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [125]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [126]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [127]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_name"
  }
  [128]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_type"
  }
  [129]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
  }
  [130]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Proc_priv"
  }
  [131]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
  }
  [132]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Server_name"
  }
  [133]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [134]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [135]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Username"
  }
  [136]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
  }
  [137]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Port"
  }
  [138]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "Socket"
  }
  [139]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "Wrapper"
  }
  [140]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(5) "Owner"
  }
  [141]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "start_time"
  }
  [142]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
  }
  [143]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "query_time"
  }
  [144]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "lock_time"
  }
  [145]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "rows_sent"
  }
  [146]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "rows_examined"
  }
  [147]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "db"
  }
  [148]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "last_insert_id"
  }
  [149]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "insert_id"
  }
  [150]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
  }
  [151]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "sql_text"
  }
  [152]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [153]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [154]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [155]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
  }
  [156]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
  }
  [157]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
  }
  [158]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Table_priv"
  }
  [159]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
  }
  [160]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [161]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Use_leap_seconds"
  }
  [162]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
  }
  [163]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Correction"
  }
  [164]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Name"
  }
  [165]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [166]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [167]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
  }
  [168]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
  }
  [169]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [170]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
  }
  [171]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "Offset"
  }
  [172]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "Is_DST"
  }
  [173]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Abbreviation"
  }
  [174]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [175]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [176]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
  }
  [177]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
  }
  [178]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
  }
  [179]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
  }
  [180]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
  }
  [181]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
  }
  [182]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
  }
  [183]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Reload_priv"
  }
  [184]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "Shutdown_priv"
  }
  [185]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Process_priv"
  }
  [186]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "File_priv"
  }
  [187]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
  }
  [188]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
  }
  [189]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
  }
  [190]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
  }
  [191]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Show_db_priv"
  }
  [192]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Super_priv"
  }
  [193]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
  }
  [194]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
  }
  [195]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
  }
  [196]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "Repl_slave_priv"
  }
  [197]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Repl_client_priv"
  }
  [198]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
  }
  [199]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
  }
  [200]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
  }
  [201]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
  }
  [202]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_user_priv"
  }
  [203]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
  }
  [204]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
  }
  [205]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "ssl_type"
  }
  [206]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "ssl_cipher"
  }
  [207]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "x509_issuer"
  }
  [208]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "x509_subject"
  }
  [209]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "max_questions"
  }
  [210]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "max_updates"
  }
  [211]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "max_connections"
  }
  [212]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "max_user_connections"
  }
}
array(213) {
  [0]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [1]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [2]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [3]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
  }
  [4]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Column_name"
  }
  [5]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
  }
  [6]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
  }
  [7]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [8]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [9]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [10]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
  }
  [11]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
  }
  [12]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
  }
  [13]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
  }
  [14]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
  }
  [15]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
  }
  [16]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
  }
  [17]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
  }
  [18]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
  }
  [19]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
  }
  [20]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
  }
  [21]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
  }
  [22]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
  }
  [23]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
  }
  [24]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
  }
  [25]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
  }
  [26]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
  }
  [27]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
  }
  [28]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
  }
  [29]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "db"
  }
  [30]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [31]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "body"
  }
  [32]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
  }
  [33]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "execute_at"
  }
  [34]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "interval_value"
  }
  [35]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "interval_field"
  }
  [36]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "created"
  }
  [37]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
  }
  [38]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "last_executed"
  }
  [39]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "starts"
  }
  [40]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "ends"
  }
  [41]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "status"
  }
  [42]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "on_completion"
  }
  [43]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
  }
  [44]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
  }
  [45]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "originator"
  }
  [46]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "time_zone"
  }
  [47]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
  }
  [48]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
  }
  [49]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
  }
  [50]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
  }
  [51]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [52]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(3) "ret"
  }
  [53]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
  }
  [54]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "type"
  }
  [55]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "event_time"
  }
  [56]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
  }
  [57]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "thread_id"
  }
  [58]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
  }
  [59]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "command_type"
  }
  [60]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "argument"
  }
  [61]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
  }
  [62]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [63]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "parent_category_id"
  }
  [64]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(3) "url"
  }
  [65]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
  }
  [66]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [67]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
  }
  [68]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "help_keyword_id"
  }
  [69]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "help_topic_id"
  }
  [70]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [71]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "help_category_id"
  }
  [72]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "description"
  }
  [73]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "example"
  }
  [74]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(3) "url"
  }
  [75]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [76]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [77]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
  }
  [78]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
  }
  [79]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
  }
  [80]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
  }
  [81]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
  }
  [82]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
  }
  [83]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
  }
  [84]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
  }
  [85]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
  }
  [86]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
  }
  [87]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
  }
  [88]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
  }
  [89]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
  }
  [90]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
  }
  [91]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
  }
  [92]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
  }
  [93]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
  }
  [94]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
  }
  [95]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Position"
  }
  [96]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "File"
  }
  [97]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(5) "epoch"
  }
  [98]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "inserts"
  }
  [99]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "updates"
  }
  [100]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "deletes"
  }
  [101]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "schemaops"
  }
  [102]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [103]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "dl"
  }
  [104]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "db"
  }
  [105]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "name"
  }
  [106]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "type"
  }
  [107]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "specific_name"
  }
  [108]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "language"
  }
  [109]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "sql_data_access"
  }
  [110]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "is_deterministic"
  }
  [111]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "security_type"
  }
  [112]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "param_list"
  }
  [113]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "returns"
  }
  [114]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "body"
  }
  [115]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "definer"
  }
  [116]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "created"
  }
  [117]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "modified"
  }
  [118]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "sql_mode"
  }
  [119]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "comment"
  }
  [120]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "character_set_client"
  }
  [121]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "collation_connection"
  }
  [122]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "db_collation"
  }
  [123]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "body_utf8"
  }
  [124]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [125]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [126]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [127]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_name"
  }
  [128]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Routine_type"
  }
  [129]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
  }
  [130]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Proc_priv"
  }
  [131]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
  }
  [132]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Server_name"
  }
  [133]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [134]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [135]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Username"
  }
  [136]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
  }
  [137]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Port"
  }
  [138]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "Socket"
  }
  [139]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "Wrapper"
  }
  [140]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(5) "Owner"
  }
  [141]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "start_time"
  }
  [142]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "user_host"
  }
  [143]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "query_time"
  }
  [144]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "lock_time"
  }
  [145]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "rows_sent"
  }
  [146]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "rows_examined"
  }
  [147]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "db"
  }
  [148]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "last_insert_id"
  }
  [149]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "insert_id"
  }
  [150]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "server_id"
  }
  [151]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "sql_text"
  }
  [152]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [153]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(2) "Db"
  }
  [154]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [155]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Table_name"
  }
  [156]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(7) "Grantor"
  }
  [157]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Timestamp"
  }
  [158]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Table_priv"
  }
  [159]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Column_priv"
  }
  [160]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [161]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Use_leap_seconds"
  }
  [162]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
  }
  [163]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Correction"
  }
  [164]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Name"
  }
  [165]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [166]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [167]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "Transition_time"
  }
  [168]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
  }
  [169]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Time_zone_id"
  }
  [170]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Transition_type_id"
  }
  [171]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "Offset"
  }
  [172]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(6) "Is_DST"
  }
  [173]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Abbreviation"
  }
  [174]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "Host"
  }
  [175]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(4) "User"
  }
  [176]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "Password"
  }
  [177]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Select_priv"
  }
  [178]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Insert_priv"
  }
  [179]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Update_priv"
  }
  [180]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Delete_priv"
  }
  [181]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Create_priv"
  }
  [182]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "Drop_priv"
  }
  [183]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "Reload_priv"
  }
  [184]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "Shutdown_priv"
  }
  [185]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Process_priv"
  }
  [186]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(9) "File_priv"
  }
  [187]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Grant_priv"
  }
  [188]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "References_priv"
  }
  [189]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Index_priv"
  }
  [190]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Alter_priv"
  }
  [191]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Show_db_priv"
  }
  [192]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Super_priv"
  }
  [193]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(21) "Create_tmp_table_priv"
  }
  [194]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Lock_tables_priv"
  }
  [195]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Execute_priv"
  }
  [196]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "Repl_slave_priv"
  }
  [197]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Repl_client_priv"
  }
  [198]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_view_priv"
  }
  [199]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(14) "Show_view_priv"
  }
  [200]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(19) "Create_routine_priv"
  }
  [201]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(18) "Alter_routine_priv"
  }
  [202]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(16) "Create_user_priv"
  }
  [203]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "Event_priv"
  }
  [204]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "Trigger_priv"
  }
  [205]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(8) "ssl_type"
  }
  [206]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(10) "ssl_cipher"
  }
  [207]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "x509_issuer"
  }
  [208]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(12) "x509_subject"
  }
  [209]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(13) "max_questions"
  }
  [210]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(11) "max_updates"
  }
  [211]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(15) "max_connections"
  }
  [212]=>
  array(1) {
    ["COLUMN_NAME"]=>
    string(20) "max_user_connections"
  }
}
string(1) "x"
